Loading...
Searching...
No Matches
DB Features Constants

## Variables

const | SqlUtil::BLOB = "blob"
| specifies a large variable-length binary column (ie `BLOB` or `BYTEA`, etc)
const | SqlUtil::CHAR = "char"
| specifies a `CHAR` column
const | SqlUtil::CLOB = "clob"
| specifies a large variable-length character column (ie `CLOB` or `TEXT`, etc)
const | SqlUtil::DB_FUNCTIONS = "functions"
| Feature: functions.
const | SqlUtil::DB_MVIEWS = "materialized views"
| Feature: materialized views / snapshots.
const | SqlUtil::DB_PACKAGES = "packages"
| Feature: packages.
const | SqlUtil::DB_PROCEDURES = "procedures"
| Feature: procedures.
const | SqlUtil::DB_SEQUENCES = "sequences"
| Feature: sequences.
const | SqlUtil::DB_SYNONYMS = "synonyms"
| Feature: synonyms.
const | SqlUtil::DB_TABLES = "tables"
| Feature: tables.
const | SqlUtil::DB_TYPES = "named types"
| Feature: named types.
const | SqlUtil::DB_VIEWS = "views"
| Feature: views.
const | SqlUtil::NUMERIC = "number"
| specifies a numeric column (equivalent to Qore::Type::Number)
const | SqlUtil::VARCHAR = "string"

## Detailed Description

These constants can be used as a lookup values in AbstractDatabase::features() method.

## Variable Documentation

## DB_FUNCTIONS

const SqlUtil::DB_FUNCTIONS = "functions"

Feature: functions.

Features constants

## VARCHAR

const SqlUtil::VARCHAR = "string"

specifies a `VARCHAR` column (equivalent to Qore::Type::String)